Download it now!
Bug 107230 - File property "Save preview image with this document" not restored from disk
Summary: File property "Save preview image with this document" not restored from disk
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: File-Properties Privacy
  Show dependency treegraph
 
Reported: 2017-04-17 11:59 UTC by sebalis
Modified: 2019-04-10 02:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sebalis 2017-04-17 11:59:52 UTC
I’ve observed this in Writer and Calc for years. When saving a file, I always uncheck the property "Save preview image with this document" because I don’t want to waste disk space – it might be a small amount per file and not use another sector on my disk but who knows, with many documents gathering on your drive it might add up to a significant amount. As long as the document stays open, this is remembered. But after the document is closed and the reopened, the checkbox is again selected in the file properties and the preview image will get saved. I have to remember this and go through several clicks to set the property the first I save it again.

I believe that as a file is opened, the program should determine if a preview image exists and set the file property accordingly. (And of course the file should then not be in a “changed” state, which does happen if I change this property manually.)
Comment 1 Regina Henschel 2017-04-17 15:37:45 UTC
It seems, that this is not really a property of the document, but of the UI. At least I do not find a setting inside the file, which would fit to it. But your suggestion, to preset the checkbox according to the existence of a thumbnail, is reasonable to me.

If you want to disable generating of thumbnails in general, then you can use the advanced settings. Go to Tools > Options > LibreOffice > Advanded. Click button "Open Expert Configuration". Search for item "GenerateThumbnail" and toggle it to "false" by double-click. In my tests this overrules the setting "with thumbnail" in the property dialog.

I see these problems:
No help for the feature of generating or not generating of thumbnails.
The precedence of the general setting and the checkbox in the file property is not clear.
The state of the checkbox should be handled as property of the document and be saved or - as you suggest - be regenerated on loading the document.
Comment 2 sebalis 2017-04-17 16:22:44 UTC
Thank you for this helpful response, Regina. Changing the general setting suits my purpose and I’ve seen that it does what I want with one of my files. As you say, the bug itself should still be addressed. Some people will not want to disable thumbnails globally but still have use cases for keeping the file property disabled for an individual file, e.g. a file that will be emailed several times while a group of people works on it.
Comment 3 raal 2018-04-09 12:57:31 UTC
*** Bug 116833 has been marked as a duplicate of this bug. ***
Comment 4 QA Administrators 2019-04-10 02:58:21 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug